Homebrew Accessing eShop on 9.2

Nutkin

New Member
OP
Newbie
Joined
Aug 28, 2016
Messages
3
Trophies
0
Age
38
XP
33
Country
United States
Hi All,
I downgraded my 3DS on 10.6 and have installed Homebrew Launcher etc.

I was unable to get my eShop working to update my games so I followed this guide.

https://www.reddit.com/r/3dshacks/c...gameplay_on_outdated/?st=isf6jnaa&sh=e9563d76

However now the eShop will not launch at all and crashes. I am assuming this is outdated info. I am not in any worse position but would like to know if there is some way to recover this?

For more info I am using Luma 3ds and A9LH
 
Last edited by Nutkin,

Nutkin

New Member
OP
Newbie
Joined
Aug 28, 2016
Messages
3
Trophies
0
Age
38
XP
33
Country
United States
Sorry Just edited,

Luma 3DS and A9LH on an O3DS

Basically followed this guide
https://github.com/Plailect/Guide/wiki

--------------------- MERGED ---------------------------

Since you are on luma3ds and a9lh, update to the latest system update since you will retain your arm 9 exploits plus arm 11

So just system settings update etc?

Sorry I've not hacked anything since the xecutor 1 days on Xbox original, system updates were always feared.
 

ihaveahax

Well-Known Member
Member
Joined
Apr 20, 2015
Messages
5,996
Trophies
2
XP
7,072
Country
United States
Fyi, 9.2 does not support the eShop, as it uses 9.6+ encryption. You need at least 9.6.

Sent from my Motorola DynaTAC 8000x using Tapatalk
if you're talking about "seed" crypto, that's only for digitally downloaded games from the eshop. so it's really like pre-10.0 can't use the eshop due to the URLs changing. HANS might be able to fix that up to 10.3, though you also need to use ctr-httpwn which only goes as low as 9.6 due to the HTTP sysmodule.
 
Last edited by ihaveahax,
  • Like
Reactions: astronautlevel

gnmmarechal

Well-Known Member
Member
GBAtemp Patron
Joined
Jul 13, 2014
Messages
5,962
Trophies
2
Age
23
Location
https://gs2012.xyz
Website
gs2012.xyz
XP
5,440
Country
Portugal
if you're talking about "seed" crypto, that's only for digitally downloaded games from the eshop. so it's really like pre-10.0 can't use the eshop due to the URLs changing. HANS might be able to fix that up to 10.3.
Actually, afaik, the eShop works on 9.6 and above if the latest CIA is installed. I've had people confirming this when they used my tutorial back at Reddit. That was months ago though. I know it worked with 10.3. As I haven't tried my tutorial below 10.0, I can't say, I've been told it worked on 9.9, etc.

Sent from my Motorola DynaTAC 8000x using Tapatalk
 
Last edited by gnmmarechal,

ihaveahax

Well-Known Member
Member
Joined
Apr 20, 2015
Messages
5,996
Trophies
2
XP
7,072
Country
United States
Actually, afaik, the eShop works on 9.6 and above if the latest CIA is installed. I've had people confirming this when they used my tutorial back at Reddit.
still has nothing to do with encryption. ctr-httpwn would be used due to NVer/friend login checks, which goes as low as 9.6, due to the HTTP sysmodule. before those happened, HANS eshop worked below 9.6.
 

gnmmarechal

Well-Known Member
Member
GBAtemp Patron
Joined
Jul 13, 2014
Messages
5,962
Trophies
2
Age
23
Location
https://gs2012.xyz
Website
gs2012.xyz
XP
5,440
Country
Portugal
still has nothing to do with encryption. ctr-httpwn would be used due to NVer/friend login checks, which goes as low as 9.6, due to the HTTP sysmodule. before those happened, HANS eshop worked below 9.6.
Doesn't the eShop instacrash though on 9.5 and below?

Honestly, I didn't research too much on it, as my only original objective was to play online on outdated firmwares, and the eShop doesn't play a part into that.

Sent from my Motorola DynaTAC 8000x using Tapatalk
 
Last edited by gnmmarechal,

ihaveahax

Well-Known Member
Member
Joined
Apr 20, 2015
Messages
5,996
Trophies
2
XP
7,072
Country
United States
Doesn't the eShop instacrash though on 9.5 and below?

Sent from my Motorola DynaTAC 8000x using Tapatalk
I don't know about that. if you could somehow "backport" ctr-httpwn to work with older HTTP modules, you'd probably be able to combine it with HANS for eshop lower than that (even then that's pointless). though you probably don't need to do that if you have no NNID linked, I don't know
 
D

Deleted-394630

Guest
It is sad since gateway was once a powerful flashcart but now luma3ds is close to matching their perks and guess what?

Its free to install, luma3ds i mean.
Yep, times change. That's what happens when you cut corners.
 
General chit-chat
Help Users
    KenniesNewName @ KenniesNewName: https://www.cnn.com/2022/09/27/business/mcdonalds-adults-happy-meal/index.html